package entity

type OurServiceContentImage struct {
	ID                  uint   `json:"id" gorm:"primaryKey;autoIncrement"`
	OurServiceContentID uint   `json:"our_service_content_id"`
	ImagePath           string `json:"image_path" gorm:"type:varchar(255)"`
	ImageURL            string `json:"image_url" gorm:"type:text"`
	IsThumbnail         *bool  `json:"is_thumbnail" gorm:"default:false"`
}

func (OurServiceContentImage) TableName() string {
	return "our_service_content_images"
}